## GntComboBox

GntComboBox — A widget for selecting between multiple choices

## Functions

#define | GNT_COMBO_BOX_FLAGS()
#define | GNT_COMBO_BOX_SET_FLAGS()
#define | GNT_COMBO_BOX_UNSET_FLAGS()
GType | gnt_combo_box_get_gtype ()
GntWidget * | gnt_combo_box_new ()
GntWidget * | gnt_combo_box_get_dropdown ()
void | gnt_combo_box_add_data ()
void | gnt_combo_box_remove ()
void | gnt_combo_box_remove_all ()
gpointer | gnt_combo_box_get_selected_data ()
void | gnt_combo_box_set_selected ()

## Types and Values

struct | GntComboBox
| GntComboBoxPriv

## Description

## Functions

### GNT_COMBO_BOX_FLAGS()

    #define             GNT_COMBO_BOX_FLAGS(obj)

`GNT_COMBO_BOX_FLAGS` has been deprecated since version 2.14.0 and should not be used in newly-written code.

This is an internal implementation detail.

### GNT_COMBO_BOX_SET_FLAGS()

    #define             GNT_COMBO_BOX_SET_FLAGS(obj, flags)

`GNT_COMBO_BOX_SET_FLAGS` has been deprecated since version 2.14.0 and should not be used in newly-written code.

This is an internal implementation detail.

### GNT_COMBO_BOX_UNSET_FLAGS()

    #define             GNT_COMBO_BOX_UNSET_FLAGS(obj, flags)

`GNT_COMBO_BOX_UNSET_FLAGS` has been deprecated since version 2.14.0 and should not be used in newly-written code.

This is an internal implementation detail.

### gnt_combo_box_get_gtype ()

    GType
    gnt_combo_box_get_gtype (void);

#### Returns

Get the GType for GntComboBox

### gnt_combo_box_new ()

    GntWidget *
    gnt_combo_box_new (void);

Create a new GntComboBox

#### Returns

A new GntComboBox

### gnt_combo_box_get_dropdown ()

    GntWidget *
    gnt_combo_box_get_dropdown (GntComboBox *box);

Get the dropdown GntTree that is shown when opened

#### Parameters

box | The GntComboBox |

#### Returns

The dropdown for the combo box.

[transfer none]

Since: 2.14.0

### gnt_combo_box_add_data ()

    void
    gnt_combo_box_add_data (GntComboBox *box,
                            gpointer key,
                            const char *text);

Add an entry

#### Parameters

box | The GntComboBox |
key | The data |
text | The text to display |

### gnt_combo_box_remove ()

    void
    gnt_combo_box_remove (GntComboBox *box,
                          gpointer key);

Remove an entry

#### Parameters

box | The GntComboBox |
key | The data to be removed |

### gnt_combo_box_remove_all ()

    void
    gnt_combo_box_remove_all (GntComboBox *box);

Remove all entries

#### Parameters

box | The GntComboBox |

### gnt_combo_box_get_selected_data ()

    gpointer
    gnt_combo_box_get_selected_data (GntComboBox *box);

Get the data that is currently selected

#### Parameters

box | The GntComboBox |

#### Returns

The data of the currently selected entry.

[transfer none]

### gnt_combo_box_set_selected ()

    void
    gnt_combo_box_set_selected (GntComboBox *box,
                                gpointer key);

Set the current selection to a specific entry

#### Parameters

box | The GntComboBox |
key | The data to be set to |

## Types and Values

### struct GntComboBox

    struct GntComboBox {
    	GntWidget parent;

    	GntWidget *GNTSEAL(dropdown);   /* Deprecated. Use gnt_combo_box_get_dropdown. */

    	void *GNTSEAL(selected);        /* Deprecated. Use gnt_combo_box_get_selected_data. */
    };

Access to any fields is deprecated. See inline comments for replacements.

### GntComboBoxPriv

    typedef struct _GntComboBoxPriv GntComboBoxPriv;

`GntComboBoxPriv` has been deprecated since version 2.14.0 and should not be used in newly-written code.

This is an internal implementation detail.